Events
- OpenAPI Version:
3.1.0 - API Version:
1.0.0
The Webinars Plus & Events webhooks allow developers to receive events for Webinars Plus & Events features.
Operations
POST zoom_events.session_deleted
- Method:
POST - Path:
zoom_events.session_deleted - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.event.session_deleted. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who deleted the session post event publishing. -
object(required)object— Information about the session.-
end_time(required)string, format:date-time— The end time of the session in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The Zoom Events ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the session. -
session_id(required)string— The session ID. -
start_time(required)string, format:date-time— The start time of the session in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
timezone(required)string— The session's [timezone](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#timezones). -
type(required)integer, possible values:0, 2— The session type. * 0 — Meeting * 2 — Webinar -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"session_id": "4uzfv3JwTeyR5QpC3PXwMg",
"name": "Session 1",
"type": 0,
"attendance_type": "virtual",
"start_time": "2022-05-31T13:00:00Z",
"end_time": "2022-05-31T13:00:00Z",
"timezone": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.event.session_deleted. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who deleted the session post event publishing. -
object(required)object— Information about the session.-
end_time(required)string, format:date-time— The end time of the session in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The Zoom Events ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the session. -
session_id(required)string— The session ID. -
start_time(required)string, format:date-time— The start time of the session in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
timezone(required)string— The session's [timezone](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#timezones). -
type(required)integer, possible values:0, 2— The session type. * 0 — Meeting * 2 — Webinar -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"session_id": "4uzfv3JwTeyR5QpC3PXwMg",
"name": "Session 1",
"type": 0,
"attendance_type": "virtual",
"start_time": "2022-05-31T13:00:00Z",
"end_time": "2022-05-31T13:00:00Z",
"timezone": ""
}
}
}
POST zoom_events.ticket_updated
- Method:
POST - Path:
zoom_events.ticket_updated - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.ticket_updated -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who created the event. -
object(required)object— The ticket Description.-
email(required)string— The registrant's email. -
event_id(required)string— The Zoom Events ID. -
host_id(required)string— The event host(creator)'s user ID. -
ticket_id(required)string— The ticket ID generated from the registration. -
authentication_methodstring, possible values:"zoom_account", "zoom_account_otp", "corporate_idp", "no_auth"— The event authentication method for the ticket: * zoom_account Zoom account holder * zoom_account_otp Zoom account holder with OTP * corporate_idp Corporate IDP * no_auth No authentication -
external_ticket_idstring— A set of unique alphanumeric characters that references the external ticket ID. -
ticket_role_typestring, possible values:"normal", "alternative_host", "panelist", "bind_meeting", "speaker", "subscription", "sponsor", "interpreter", "host", "moderator", "expo_booth_owner", "attendee_without_order", "company_zoom_room", "moderator_allhost", "hub_host", "hub_owner"— The ticket role type: * normal The normal ticket * alternative_host The alternative host ticket * panelist The panelist ticket * bind_meeting The bind meeting ticket * speaker The speaker ticket * interpreter The interpreter ticket * sponsor The sponsor ticket * host The host ticket * moderator The moderator ticket * expo_booth_owner The expo booth owner ticket * attendee_without_order The attendee without order ticket * company_zoom_room The company zoom room ticket * moderator_allhost The moderator all host ticket * hub_host The hub host ticket * hub_owner The hub owner ticket ", * subscription The subscription ticket " -
ticket_type_idstring— The ticket type ID for which the user registers to.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"ticket_id": "",
"ticket_type_id": "",
"external_ticket_id": "",
"email": "",
"ticket_role_type": "normal",
"authentication_method": "no_auth"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.ticket_updated -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who created the event. -
object(required)object— The ticket Description.-
email(required)string— The registrant's email. -
event_id(required)string— The Zoom Events ID. -
host_id(required)string— The event host(creator)'s user ID. -
ticket_id(required)string— The ticket ID generated from the registration. -
authentication_methodstring, possible values:"zoom_account", "zoom_account_otp", "corporate_idp", "no_auth"— The event authentication method for the ticket: * zoom_account Zoom account holder * zoom_account_otp Zoom account holder with OTP * corporate_idp Corporate IDP * no_auth No authentication -
external_ticket_idstring— A set of unique alphanumeric characters that references the external ticket ID. -
ticket_role_typestring, possible values:"normal", "alternative_host", "panelist", "bind_meeting", "speaker", "subscription", "sponsor", "interpreter", "host", "moderator", "expo_booth_owner", "attendee_without_order", "company_zoom_room", "moderator_allhost", "hub_host", "hub_owner"— The ticket role type: * normal The normal ticket * alternative_host The alternative host ticket * panelist The panelist ticket * bind_meeting The bind meeting ticket * speaker The speaker ticket * interpreter The interpreter ticket * sponsor The sponsor ticket * host The host ticket * moderator The moderator ticket * expo_booth_owner The expo booth owner ticket * attendee_without_order The attendee without order ticket * company_zoom_room The company zoom room ticket * moderator_allhost The moderator all host ticket * hub_host The hub host ticket * hub_owner The hub owner ticket ", * subscription The subscription ticket " -
ticket_type_idstring— The ticket type ID for which the user registers to.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"ticket_id": "",
"ticket_type_id": "",
"external_ticket_id": "",
"email": "",
"ticket_role_type": "normal",
"authentication_method": "no_auth"
}
}
}
POST zoom_events.event_published
- Method:
POST - Path:
zoom_events.event_published - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.event_published. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who published the event. -
object(required)object— The Zoom Event description.-
end_time(required)string, format:date-time— The end time of the event in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The ID of the event. -
event_type(required)string, possible values:"CONFERENCE", "SIMPLE_EVENT", "RECURRING"— Event Types: * CONFERENCE - Multi session event * SIMPLE_EVENT - Single session event * RECURRING - Recurring session event -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the event. -
start_time(required)string, format:date-time— The start time of the event in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
timezone(required)string— The timezone of the event. -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event. -
descriptionstring— The description of the event. -
hub_idstring— The ID of the event hub. -
statusstring, possible values:"PUBLISHED", "DRAFT", "CANCELLED"— The event status: * PUBLISHED - Published event * DRAFT - Draft event * CANCELLED - Cancelled event
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"hub_id": "234kj2h34kljgh23lkhj3",
"event_id": "234kj2h34kljgh23lkhj3",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"name": "OpenAPI Conference Name",
"description": "This event was created with the OpenAPI",
"event_type": "CONFERENCE",
"status": "PUBLISHED",
"attendance_type": "virtual",
"start_time": "2022-06-03T20:51:00Z",
"end_time": "2022-06-03T20:51:00Z",
"timezone": "America/Los_Angeles"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.event_published. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who published the event. -
object(required)object— The Zoom Event description.-
end_time(required)string, format:date-time— The end time of the event in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The ID of the event. -
event_type(required)string, possible values:"CONFERENCE", "SIMPLE_EVENT", "RECURRING"— Event Types: * CONFERENCE - Multi session event * SIMPLE_EVENT - Single session event * RECURRING - Recurring session event -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the event. -
start_time(required)string, format:date-time— The start time of the event in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
timezone(required)string— The timezone of the event. -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event. -
descriptionstring— The description of the event. -
hub_idstring— The ID of the event hub. -
statusstring, possible values:"PUBLISHED", "DRAFT", "CANCELLED"— The event status: * PUBLISHED - Published event * DRAFT - Draft event * CANCELLED - Cancelled event
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"hub_id": "234kj2h34kljgh23lkhj3",
"event_id": "234kj2h34kljgh23lkhj3",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"name": "OpenAPI Conference Name",
"description": "This event was created with the OpenAPI",
"event_type": "CONFERENCE",
"status": "PUBLISHED",
"attendance_type": "virtual",
"start_time": "2022-06-03T20:51:00Z",
"end_time": "2022-06-03T20:51:00Z",
"timezone": "America/Los_Angeles"
}
}
}
POST zoom_events.ticket_type_updated
- Method:
POST - Path:
zoom_events.ticket_type_updated - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.ticket_type_updated -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who updated the ticketType. -
object(required)object— Information about the ticketType.-
end_time(required)string, format:date-time— The end time of the ticket sales in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The zoom-events event ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the ticketType. -
start_time(required)string, format:date-time— The start time of the ticket sales in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
ticket_type_id(required)string— The ticketType ID for which the user registers to. -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event. -
descriptionstring— The description of the ticketType.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"ticket_type_id": "",
"name": "General Admission Ticket",
"description": "This is a General Admission ticket",
"attendance_type": "virtual",
"start_time": "2022-06-03T20:51:00Z",
"end_time": "2022-06-03T20:51:00Z"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.ticket_type_updated -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who updated the ticketType. -
object(required)object— Information about the ticketType.-
end_time(required)string, format:date-time— The end time of the ticket sales in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The zoom-events event ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the ticketType. -
start_time(required)string, format:date-time— The start time of the ticket sales in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
ticket_type_id(required)string— The ticketType ID for which the user registers to. -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event. -
descriptionstring— The description of the ticketType.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"ticket_type_id": "",
"name": "General Admission Ticket",
"description": "This is a General Admission ticket",
"attendance_type": "virtual",
"start_time": "2022-06-03T20:51:00Z",
"end_time": "2022-06-03T20:51:00Z"
}
}
}
POST zoom_events.exhibitor_created
- Method:
POST - Path:
zoom_events.exhibitor_created - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.exhibitor_created -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who created the event exhibitor. -
object(required)object— Exhibitor Description.-
contact_email(required)string— The contact's email address. -
contact_name(required)string— The contact's full name. -
event_id(required)string— The zoom-events event ID. -
exhibitor_id(required)string— The exhibitors's ID. -
host_id(required)string— The event host(creator)'s user ID. -
is_sponsor(required)boolean— Whether the exhibitor is a sponsor. -
name(required)string— The exhibitors's name. -
descriptionstring— The exhibitor's description. -
tier_idstring— The sponsor tier ID for a particular event. This field only applies to a sponsor.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"exhibitor_id": "",
"name": "",
"description": "",
"is_sponsor": true,
"tier_id": "",
"contact_name": "",
"contact_email": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.exhibitor_created -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who created the event exhibitor. -
object(required)object— Exhibitor Description.-
contact_email(required)string— The contact's email address. -
contact_name(required)string— The contact's full name. -
event_id(required)string— The zoom-events event ID. -
exhibitor_id(required)string— The exhibitors's ID. -
host_id(required)string— The event host(creator)'s user ID. -
is_sponsor(required)boolean— Whether the exhibitor is a sponsor. -
name(required)string— The exhibitors's name. -
descriptionstring— The exhibitor's description. -
tier_idstring— The sponsor tier ID for a particular event. This field only applies to a sponsor.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"exhibitor_id": "",
"name": "",
"description": "",
"is_sponsor": true,
"tier_id": "",
"contact_name": "",
"contact_email": ""
}
}
}
POST zoom_events.exhibitor_updated
- Method:
POST - Path:
zoom_events.exhibitor_updated - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.exhibitor_updated -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who updated the event exhibitor. -
object(required)object— Exhibitor Description.-
contact_email(required)string— The contact's email address. -
contact_name(required)string— The contact's full name. -
event_id(required)string— The zoom-events event ID. -
exhibitor_id(required)string— The exhibitors's ID. -
host_id(required)string— The event host(creator)'s user ID. -
is_sponsor(required)boolean— Whether the exhibitor is a sponsor. -
name(required)string— The exhibitors's name. -
descriptionstring— The exhibitor's description. -
tier_idstring— The sponsor tier ID for a particular event. This field only applies to a sponsor.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"exhibitor_id": "",
"name": "",
"description": "",
"is_sponsor": true,
"tier_id": "",
"contact_name": "",
"contact_email": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.exhibitor_updated -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who updated the event exhibitor. -
object(required)object— Exhibitor Description.-
contact_email(required)string— The contact's email address. -
contact_name(required)string— The contact's full name. -
event_id(required)string— The zoom-events event ID. -
exhibitor_id(required)string— The exhibitors's ID. -
host_id(required)string— The event host(creator)'s user ID. -
is_sponsor(required)boolean— Whether the exhibitor is a sponsor. -
name(required)string— The exhibitors's name. -
descriptionstring— The exhibitor's description. -
tier_idstring— The sponsor tier ID for a particular event. This field only applies to a sponsor.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"exhibitor_id": "",
"name": "",
"description": "",
"is_sponsor": true,
"tier_id": "",
"contact_name": "",
"contact_email": ""
}
}
}
POST zoom_events.event_cancelled
- Method:
POST - Path:
zoom_events.event_cancelled - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.event_cancelled. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who cancelled the event. -
object(required)object— The Zoom Event description.-
end_time(required)string, format:date-time— The end time of the event in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The ID of the event. -
event_type(required)string, possible values:"CONFERENCE", "SIMPLE_EVENT", "RECURRING"— Event Types: * CONFERENCE - Multi session event * SIMPLE_EVENT - Single session event * RECURRING - Recurring session event -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the event. -
start_time(required)string, format:date-time— The start time of the event in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
timezone(required)string— The timezone of the event. -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event. -
descriptionstring— The description of the event. -
hub_idstring— The ID of the event hub. -
statusstring, possible values:"PUBLISHED", "DRAFT", "CANCELLED"— The event status: * PUBLISHED - Published event * DRAFT - Draft event * CANCELLED - Cancelled event
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"hub_id": "234kj2h34kljgh23lkhj3",
"event_id": "234kj2h34kljgh23lkhj3",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"name": "OpenAPI Conference Name",
"description": "This event was created with the OpenAPI",
"event_type": "CONFERENCE",
"status": "PUBLISHED",
"attendance_type": "virtual",
"start_time": "2022-06-03T20:51:00Z",
"end_time": "2022-06-03T20:51:00Z",
"timezone": "America/Los_Angeles"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.event_cancelled. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who cancelled the event. -
object(required)object— The Zoom Event description.-
end_time(required)string, format:date-time— The end time of the event in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The ID of the event. -
event_type(required)string, possible values:"CONFERENCE", "SIMPLE_EVENT", "RECURRING"— Event Types: * CONFERENCE - Multi session event * SIMPLE_EVENT - Single session event * RECURRING - Recurring session event -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the event. -
start_time(required)string, format:date-time— The start time of the event in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
timezone(required)string— The timezone of the event. -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event. -
descriptionstring— The description of the event. -
hub_idstring— The ID of the event hub. -
statusstring, possible values:"PUBLISHED", "DRAFT", "CANCELLED"— The event status: * PUBLISHED - Published event * DRAFT - Draft event * CANCELLED - Cancelled event
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"hub_id": "234kj2h34kljgh23lkhj3",
"event_id": "234kj2h34kljgh23lkhj3",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"name": "OpenAPI Conference Name",
"description": "This event was created with the OpenAPI",
"event_type": "CONFERENCE",
"status": "PUBLISHED",
"attendance_type": "virtual",
"start_time": "2022-06-03T20:51:00Z",
"end_time": "2022-06-03T20:51:00Z",
"timezone": "America/Los_Angeles"
}
}
}
POST zoom_events.event_duplicated
- Method:
POST - Path:
zoom_events.event_duplicated - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.event_duplicated. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who duplicated the event. -
object(required)object— The Zoom Event description.-
end_time(required)string, format:date-time— The end time of the event in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The ID of the event. -
event_type(required)string, possible values:"CONFERENCE", "SIMPLE_EVENT", "RECURRING"— Event Types: * CONFERENCE - Multi session event * SIMPLE_EVENT - Single session event * RECURRING - Recurring session event -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the event. -
start_time(required)string, format:date-time— The start time of the event in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
timezone(required)string— The timezone of the event. -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event. -
descriptionstring— The description of the event. -
hub_idstring— The ID of the event hub. -
source_event_idstring— The ID of the event from which this event was duplicated from. -
statusstring, possible values:"PUBLISHED", "DRAFT", "CANCELLED"— The event status: * PUBLISHED - Published event * DRAFT - Draft event * CANCELLED - Cancelled event
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"hub_id": "h134kj2h34kljgh23lkhj3",
"event_id": "234kj2h34kljgh23lkhj3",
"source_event_id": "434kj2h34kljgh23lkhj3",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"name": "OpenAPI Conference Name",
"description": "This event was created with the OpenAPI",
"event_type": "CONFERENCE",
"status": "DRAFT",
"attendance_type": "virtual",
"start_time": "2022-06-03T20:51:00Z",
"end_time": "2022-06-03T20:51:00Z",
"timezone": "America/Los_Angeles"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.event_duplicated. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who duplicated the event. -
object(required)object— The Zoom Event description.-
end_time(required)string, format:date-time— The end time of the event in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The ID of the event. -
event_type(required)string, possible values:"CONFERENCE", "SIMPLE_EVENT", "RECURRING"— Event Types: * CONFERENCE - Multi session event * SIMPLE_EVENT - Single session event * RECURRING - Recurring session event -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the event. -
start_time(required)string, format:date-time— The start time of the event in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
timezone(required)string— The timezone of the event. -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event. -
descriptionstring— The description of the event. -
hub_idstring— The ID of the event hub. -
source_event_idstring— The ID of the event from which this event was duplicated from. -
statusstring, possible values:"PUBLISHED", "DRAFT", "CANCELLED"— The event status: * PUBLISHED - Published event * DRAFT - Draft event * CANCELLED - Cancelled event
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"hub_id": "h134kj2h34kljgh23lkhj3",
"event_id": "234kj2h34kljgh23lkhj3",
"source_event_id": "434kj2h34kljgh23lkhj3",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"name": "OpenAPI Conference Name",
"description": "This event was created with the OpenAPI",
"event_type": "CONFERENCE",
"status": "DRAFT",
"attendance_type": "virtual",
"start_time": "2022-06-03T20:51:00Z",
"end_time": "2022-06-03T20:51:00Z",
"timezone": "America/Los_Angeles"
}
}
}
POST zoom_events.session_ended
- Method:
POST - Path:
zoom_events.session_ended - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who ended the session. -
object(required)object— Information about the session.-
end_time(required)string, format:date-time— The date and time when the session ended in UTC. -
event_id(required)string— The Zoom Events event ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the session. -
session_id(required)string— The session ID. -
start_time(required)string, format:date-time— The session's start time in UTC. -
timezone(required)string— The session's [timezone](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#timezones). -
type(required)integer, possible values:0, 2— The session type. * 0 — Meeting. * 2 — Webinar
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"session_id": "",
"name": "",
"type": 0,
"start_time": "",
"end_time": "",
"timezone": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who ended the session. -
object(required)object— Information about the session.-
end_time(required)string, format:date-time— The date and time when the session ended in UTC. -
event_id(required)string— The Zoom Events event ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the session. -
session_id(required)string— The session ID. -
start_time(required)string, format:date-time— The session's start time in UTC. -
timezone(required)string— The session's [timezone](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#timezones). -
type(required)integer, possible values:0, 2— The session type. * 0 — Meeting. * 2 — Webinar
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"session_id": "",
"name": "",
"type": 0,
"start_time": "",
"end_time": "",
"timezone": ""
}
}
}
POST zoom_events.vod_registration_created
- Method:
POST - Path:
zoom_events.vod_registration_created - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.vod_registration_created. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who created the event. -
object(required)object— The VOD channel registration description.-
channel_id(required)string— The VOD channel ID. -
email(required)string— The registrant's email. -
host_id(required)string— The channel host(creator)'s user ID. -
hub_id(required)string— The Zoom Events hub ID -
registration_id(required)string— The registration ID generated from the registration. -
addressstring— The registrant's address. -
authentication_methodstring, possible values:"zoom_account", "email_opt", "no_auth"— The VOD channel authentication method * zoom_account Zoom account holder * no_auth No authentication* email_opt registration using email OTP verification* -
citystring— The registrant's city. -
commentsstring— The registrant's questions and comments. -
countrystring— The registrant's two-letter [country code](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#countries). -
custom_questionsarray— The information about custom questions.Items:
-
answerstring— The custom question's response value. -
titlestring— The title of the custom question.
-
-
first_namestring— The registrant's first name. -
industrystring— The registrant's industry. -
job_titlestring— The registrant's job title. -
join_linkstring— The unique join link for the vod registrant. -
last_namestring— The registrant's last name. -
organizationstring— The registrant's organization. -
organization_sizestring— The registrant's number of employees. -
phonestring— The registrant's phone number. -
registration_datestring, format:date-time— The registrantion date in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ. -
statestring— The registrant's state or province. -
zipstring— The registrant's ZIP or postal code.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"channel_id": "",
"hub_id": "234kj2h34kljgh23lkhj3",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"registration_id": "",
"email": "",
"registration_date": "2025-05-25T22:30:00Z",
"authentication_method": "no_auth",
"join_link": "https://events.zoom.us/ejl/xyz",
"first_name": "Jill",
"last_name": "Chill",
"address": "1800 Amphibious Blvd",
"city": "Mountain View",
"state": "CA",
"zip": "94045",
"country": "US",
"phone": "5550100",
"industry": "Food",
"job_title": "Chef",
"organization": "ABC Ltd.",
"organization_size": "150",
"comments": "Looking forward to the discussion.",
"custom_questions": [
{
"title": "What do you hope to learn from this?",
"answer": "Look forward to learning how you come up with new recipes and what other services you offer."
}
]
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.vod_registration_created. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who created the event. -
object(required)object— The VOD channel registration description.-
channel_id(required)string— The VOD channel ID. -
email(required)string— The registrant's email. -
host_id(required)string— The channel host(creator)'s user ID. -
hub_id(required)string— The Zoom Events hub ID -
registration_id(required)string— The registration ID generated from the registration. -
addressstring— The registrant's address. -
authentication_methodstring, possible values:"zoom_account", "email_opt", "no_auth"— The VOD channel authentication method * zoom_account Zoom account holder * no_auth No authentication* email_opt registration using email OTP verification* -
citystring— The registrant's city. -
commentsstring— The registrant's questions and comments. -
countrystring— The registrant's two-letter [country code](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#countries). -
custom_questionsarray— The information about custom questions.Items:
-
answerstring— The custom question's response value. -
titlestring— The title of the custom question.
-
-
first_namestring— The registrant's first name. -
industrystring— The registrant's industry. -
job_titlestring— The registrant's job title. -
join_linkstring— The unique join link for the vod registrant. -
last_namestring— The registrant's last name. -
organizationstring— The registrant's organization. -
organization_sizestring— The registrant's number of employees. -
phonestring— The registrant's phone number. -
registration_datestring, format:date-time— The registrantion date in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ. -
statestring— The registrant's state or province. -
zipstring— The registrant's ZIP or postal code.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"channel_id": "",
"hub_id": "234kj2h34kljgh23lkhj3",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"registration_id": "",
"email": "",
"registration_date": "2025-05-25T22:30:00Z",
"authentication_method": "no_auth",
"join_link": "https://events.zoom.us/ejl/xyz",
"first_name": "Jill",
"last_name": "Chill",
"address": "1800 Amphibious Blvd",
"city": "Mountain View",
"state": "CA",
"zip": "94045",
"country": "US",
"phone": "5550100",
"industry": "Food",
"job_title": "Chef",
"organization": "ABC Ltd.",
"organization_size": "150",
"comments": "Looking forward to the discussion.",
"custom_questions": [
{
"title": "What do you hope to learn from this?",
"answer": "Look forward to learning how you come up with new recipes and what other services you offer."
}
]
}
}
}
POST zoom_events.speaker_updated
- Method:
POST - Path:
zoom_events.speaker_updated - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.speaker_updated -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who updated the event speaker. -
object(required)object— Speaker Description.-
event_id(required)string— The zoom-events event ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The speaker's name. -
speaker_id(required)string— The speaker id. -
emailstring— The speaker's email.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"speaker_id": "",
"name": "",
"email": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.speaker_updated -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who updated the event speaker. -
object(required)object— Speaker Description.-
event_id(required)string— The zoom-events event ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The speaker's name. -
speaker_id(required)string— The speaker id. -
emailstring— The speaker's email.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"speaker_id": "",
"name": "",
"email": ""
}
}
}
POST zoom_events.ticket_deleted
- Method:
POST - Path:
zoom_events.ticket_deleted - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.ticket_deleted. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who created the event. -
object(required)object— The Zoom Event description.-
email(required)string— The registrant's email. -
event_id(required)string— The Zoom Events ID. -
host_id(required)string— The event host(creator)'s user ID. -
ticket_id(required)string— The ticket ID generated from the registration. -
authentication_methodstring, possible values:"zoom_account", "zoom_account_otp", "corporate_idp", "no_auth"— The event authentication method for the ticket: * zoom_account Zoom account holder * zoom_account_otp Zoom account holder with OTP * corporate_idp Corporate IDP * no_auth No authentication -
external_ticket_idstring— A set of unique alphanumeric characters that references the external ticket ID. -
ticket_role_typestring, possible values:"normal", "alternative_host", "panelist", "bind_meeting", "speaker", "subscription", "sponsor", "interpreter", "host", "moderator", "expo_booth_owner", "attendee_without_order", "pre_registration", "company_zoom_room", "moderator_allhost", "hub_host", "hub_owner"— The ticket role type: * normal The normal ticket * alternative_host The alternative host ticket * panelist The panelist ticket * bind_meeting The bind meeting ticket * speaker The speaker ticket * interpreter The interpreter ticket * sponsor The sponsor ticket * host The host ticket * moderator The moderator ticket * expo_booth_owner The expo booth owner ticket * attendee_without_order The attendee without order ticket * pre_registration — The pre-registration ticket * company_zoom_room The company zoom room ticket * moderator_allhost The moderator all host ticket * hub_host The hub host ticket * hub_owner The hub owner ticket * subscription The subscription ticket -
ticket_type_idstring— The ticket type ID for which the user registers to.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"ticket_id": "",
"ticket_type_id": "",
"external_ticket_id": "",
"email": "",
"ticket_role_type": "normal",
"authentication_method": "no_auth"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.ticket_deleted. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who created the event. -
object(required)object— The Zoom Event description.-
email(required)string— The registrant's email. -
event_id(required)string— The Zoom Events ID. -
host_id(required)string— The event host(creator)'s user ID. -
ticket_id(required)string— The ticket ID generated from the registration. -
authentication_methodstring, possible values:"zoom_account", "zoom_account_otp", "corporate_idp", "no_auth"— The event authentication method for the ticket: * zoom_account Zoom account holder * zoom_account_otp Zoom account holder with OTP * corporate_idp Corporate IDP * no_auth No authentication -
external_ticket_idstring— A set of unique alphanumeric characters that references the external ticket ID. -
ticket_role_typestring, possible values:"normal", "alternative_host", "panelist", "bind_meeting", "speaker", "subscription", "sponsor", "interpreter", "host", "moderator", "expo_booth_owner", "attendee_without_order", "pre_registration", "company_zoom_room", "moderator_allhost", "hub_host", "hub_owner"— The ticket role type: * normal The normal ticket * alternative_host The alternative host ticket * panelist The panelist ticket * bind_meeting The bind meeting ticket * speaker The speaker ticket * interpreter The interpreter ticket * sponsor The sponsor ticket * host The host ticket * moderator The moderator ticket * expo_booth_owner The expo booth owner ticket * attendee_without_order The attendee without order ticket * pre_registration — The pre-registration ticket * company_zoom_room The company zoom room ticket * moderator_allhost The moderator all host ticket * hub_host The hub host ticket * hub_owner The hub owner ticket * subscription The subscription ticket -
ticket_type_idstring— The ticket type ID for which the user registers to.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"ticket_id": "",
"ticket_type_id": "",
"external_ticket_id": "",
"email": "",
"ticket_role_type": "normal",
"authentication_method": "no_auth"
}
}
}
POST zoom_events.speaker_deleted
- Method:
POST - Path:
zoom_events.speaker_deleted - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.speaker_deleted -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who deleted the event speaker. -
object(required)object— Speaker Description.-
event_id(required)string— The zoom-events event ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The speaker's name. -
speaker_id(required)string— The speaker ID. -
emailstring— The speaker's email.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"speaker_id": "",
"name": "",
"email": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.speaker_deleted -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who deleted the event speaker. -
object(required)object— Speaker Description.-
event_id(required)string— The zoom-events event ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The speaker's name. -
speaker_id(required)string— The speaker ID. -
emailstring— The speaker's email.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"speaker_id": "",
"name": "",
"email": ""
}
}
}
POST zoom_events.ticket_type_deleted
- Method:
POST - Path:
zoom_events.ticket_type_deleted - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.ticket_type_deleted -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who deleted the ticketType. -
object(required)object— Information about the TicketType.-
end_time(required)string, format:date-time— The end time of the ticket sales in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The zoom-events event ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the ticketType. -
start_time(required)string, format:date-time— The start time of the ticket sales in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
ticket_type_id(required)string— The ticketType ID for which the user registers to. -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event. -
descriptionstring— The description of the ticketType.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"ticket_type_id": "",
"name": "General Admission Ticket",
"description": "This is a General Admission ticket",
"attendance_type": "virtual",
"start_time": "2022-06-03T20:51:00Z",
"end_time": "2022-06-03T20:51:00Z"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.ticket_type_deleted -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who deleted the ticketType. -
object(required)object— Information about the TicketType.-
end_time(required)string, format:date-time— The end time of the ticket sales in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The zoom-events event ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the ticketType. -
start_time(required)string, format:date-time— The start time of the ticket sales in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
ticket_type_id(required)string— The ticketType ID for which the user registers to. -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event. -
descriptionstring— The description of the ticketType.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"ticket_type_id": "",
"name": "General Admission Ticket",
"description": "This is a General Admission ticket",
"attendance_type": "virtual",
"start_time": "2022-06-03T20:51:00Z",
"end_time": "2022-06-03T20:51:00Z"
}
}
}
POST zoom_events.session_updated
- Method:
POST - Path:
zoom_events.session_updated - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.event.session_updated. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the event host who updated the session post event publishing. -
object(required)object— Information about the session.-
end_time(required)string, format:date-time— The end time of the session in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The Zoom Events ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the session. -
session_id(required)string— The session ID. -
start_time(required)string, format:date-time— The start time of the session in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
timezone(required)string— The session's [timezone](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#timezones). -
type(required)integer, possible values:0, 2— The session type. * 0 — Meeting * 2 — Webinar -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"session_id": "4uzfv3JwTeyR5QpC3PXwMg",
"name": "Session 1",
"type": "2",
"attendance_type": "virtual",
"start_time": "2022-05-31T13:00:00Z",
"end_time": "2022-05-31T13:00:00Z",
"timezone": "America/Los_Angeles"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.event.session_updated. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the event host who updated the session post event publishing. -
object(required)object— Information about the session.-
end_time(required)string, format:date-time— The end time of the session in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The Zoom Events ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the session. -
session_id(required)string— The session ID. -
start_time(required)string, format:date-time— The start time of the session in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
timezone(required)string— The session's [timezone](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#timezones). -
type(required)integer, possible values:0, 2— The session type. * 0 — Meeting * 2 — Webinar -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"session_id": "4uzfv3JwTeyR5QpC3PXwMg",
"name": "Session 1",
"type": "2",
"attendance_type": "virtual",
"start_time": "2022-05-31T13:00:00Z",
"end_time": "2022-05-31T13:00:00Z",
"timezone": "America/Los_Angeles"
}
}
}
POST zoom_events.session_created
- Method:
POST - Path:
zoom_events.session_created - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.event.session_created. -
event_ts(required)integer, format:int64— A timestamp at when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who created the session post event publishing. -
object(required)object— Information about the session.-
end_time(required)string, format:date-time— The end time of the session in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The Zoom Events event ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the session. -
session_id(required)string— The session ID. -
start_time(required)string, format:date-time— The start time of the session in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
timezone(required)string— The session's [timezone](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#timezones). -
type(required)integer, possible values:0, 2— The session type. * 0 — Meeting * 2 — Webinar -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"session_id": "4uzfv3JwTeyR5QpC3PXwMg",
"name": "Session 1",
"type": 0,
"attendance_type": "virtual",
"start_time": "2022-05-31T13:00:00Z",
"end_time": "2022-05-31T13:00:00Z",
"timezone": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.event.session_created. -
event_ts(required)integer, format:int64— A timestamp at when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who created the session post event publishing. -
object(required)object— Information about the session.-
end_time(required)string, format:date-time— The end time of the session in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The Zoom Events event ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the session. -
session_id(required)string— The session ID. -
start_time(required)string, format:date-time— The start time of the session in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
timezone(required)string— The session's [timezone](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#timezones). -
type(required)integer, possible values:0, 2— The session type. * 0 — Meeting * 2 — Webinar -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"session_id": "4uzfv3JwTeyR5QpC3PXwMg",
"name": "Session 1",
"type": 0,
"attendance_type": "virtual",
"start_time": "2022-05-31T13:00:00Z",
"end_time": "2022-05-31T13:00:00Z",
"timezone": ""
}
}
}
POST zoom_events.ticket_type_created
- Method:
POST - Path:
zoom_events.ticket_type_created - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.ticket_type_created -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who created the ticketType. -
object(required)object— Information about the ticketType.-
end_time(required)string, format:date-time— The end time of the ticket sales in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The zoom-events event ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the ticketType. -
start_time(required)string, format:date-time— The start time of the ticket sales in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
ticket_type_id(required)string— The ticketType ID for which the user registers to. -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event. -
descriptionstring— The description of the ticketType.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"ticket_type_id": "",
"name": "General Admission Ticket",
"description": "This is a General Admission ticket",
"attendance_type": "virtual",
"start_time": "2022-06-03T20:51:00Z",
"end_time": "2022-06-03T20:51:00Z"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.ticket_type_created -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who created the ticketType. -
object(required)object— Information about the ticketType.-
end_time(required)string, format:date-time— The end time of the ticket sales in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The zoom-events event ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the ticketType. -
start_time(required)string, format:date-time— The start time of the ticket sales in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
ticket_type_id(required)string— The ticketType ID for which the user registers to. -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event. -
descriptionstring— The description of the ticketType.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"ticket_type_id": "",
"name": "General Admission Ticket",
"description": "This is a General Admission ticket",
"attendance_type": "virtual",
"start_time": "2022-06-03T20:51:00Z",
"end_time": "2022-06-03T20:51:00Z"
}
}
}
POST zoom_events.event_updated
- Method:
POST - Path:
zoom_events.event_updated - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.event_updated. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who updated the event. -
object(required)object— The Zoom Event description.-
end_time(required)string, format:date-time— The end time of the event in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The ID of the event. -
event_type(required)string, possible values:"CONFERENCE", "SIMPLE_EVENT", "RECURRING"— Event Types: * CONFERENCE - Multi session event * SIMPLE_EVENT - Single session event * RECURRING - Recurring session event -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the event. -
start_time(required)string, format:date-time— The start time of the event in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
timezone(required)string— The timezone of the event. -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event. -
descriptionstring— The description of the event. -
hub_idstring— The ID of the event hub. -
statusstring, possible values:"PUBLISHED", "DRAFT", "CANCELLED"— The event status: * PUBLISHED - Published event * DRAFT - Draft event * CANCELLED - Cancelled event
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"hub_id": "234kj2h34kljgh23lkhj3",
"event_id": "234kj2h34kljgh23lkhj3",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"name": "OpenAPI Conference Name",
"description": "This event was created with the OpenAPI",
"event_type": "CONFERENCE",
"status": "PUBLISHED",
"attendance_type": "virtual",
"start_time": "2022-06-03T20:51:00Z",
"end_time": "2022-06-03T20:51:00Z",
"timezone": "America/Los_Angeles"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.event_updated. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who updated the event. -
object(required)object— The Zoom Event description.-
end_time(required)string, format:date-time— The end time of the event in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
event_id(required)string— The ID of the event. -
event_type(required)string, possible values:"CONFERENCE", "SIMPLE_EVENT", "RECURRING"— Event Types: * CONFERENCE - Multi session event * SIMPLE_EVENT - Single session event * RECURRING - Recurring session event -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The name of the event. -
start_time(required)string, format:date-time— The start time of the event in UTC. The format should be yyyy-MM-ddTHH:mm:ssZ -
timezone(required)string— The timezone of the event. -
attendance_typestring, possible values:"virtual", "in-person", "hybrid"— The type of attendee experience for the event. -
descriptionstring— The description of the event. -
hub_idstring— The ID of the event hub. -
statusstring, possible values:"PUBLISHED", "DRAFT", "CANCELLED"— The event status: * PUBLISHED - Published event * DRAFT - Draft event * CANCELLED - Cancelled event
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"hub_id": "234kj2h34kljgh23lkhj3",
"event_id": "234kj2h34kljgh23lkhj3",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"name": "OpenAPI Conference Name",
"description": "This event was created with the OpenAPI",
"event_type": "CONFERENCE",
"status": "PUBLISHED",
"attendance_type": "virtual",
"start_time": "2022-06-03T20:51:00Z",
"end_time": "2022-06-03T20:51:00Z",
"timezone": "America/Los_Angeles"
}
}
}
POST zoom_events.speaker_created
- Method:
POST - Path:
zoom_events.speaker_created - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.speaker_created -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who created the event speaker. -
object(required)object— Speaker Description.-
event_id(required)string— The Zoom Events event ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The speaker's name. -
speaker_id(required)string— The speaker ID. -
emailstring— The speaker's email.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"speaker_id": "",
"name": "",
"email": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.speaker_created -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who created the event speaker. -
object(required)object— Speaker Description.-
event_id(required)string— The Zoom Events event ID. -
host_id(required)string— The event host(creator)'s user ID. -
name(required)string— The speaker's name. -
speaker_id(required)string— The speaker ID. -
emailstring— The speaker's email.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"speaker_id": "",
"name": "",
"email": ""
}
}
}
POST zoom_events.ticket_created
- Method:
POST - Path:
zoom_events.ticket_created - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.ticket_created. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who created the event. -
object(required)object— The Zoom Event description.-
email(required)string— The registrant's email. -
event_id(required)string— The Zoom Events ID. -
host_id(required)string— The event host(creator)'s user ID. -
ticket_id(required)string— The ticket ID generated from the registration. -
authentication_methodstring, possible values:"zoom_account", "zoom_account_otp", "corporate_idp", "no_auth"— The event authentication method for the ticket: * zoom_account Zoom account holder * zoom_account_otp Zoom account holder with OTP * corporate_idp Corporate IDP * no_auth No authentication -
external_ticket_idstring— A set of unique alphanumeric characters that references the external ticket ID. -
ticket_role_typestring, possible values:"normal", "alternative_host", "panelist", "bind_meeting", "speaker", "subscription", "sponsor", "interpreter", "host", "moderator", "expo_booth_owner", "attendee_without_order", "pre_registration", "company_zoom_room", "moderator_allhost", "hub_host", "hub_owner"— The ticket role type: * normal The normal ticket * alternative_host The alternative host ticket * panelist The panelist ticket * bind_meeting The bind meeting ticket * speaker The speaker ticket * interpreter The interpreter ticket * sponsor The sponsor ticket * host The host ticket * moderator The moderator ticket * expo_booth_owner The expo booth owner ticket * attendee_without_order The attendee without order ticket * pre_registration — The pre-registration ticket * company_zoom_room The company zoom room ticket * moderator_allhost The moderator all host ticket * hub_host The hub host ticket * hub_owner The hub owner ticket * subscription The subscription ticket -
ticket_type_idstring— The ticket type ID for which the user registers to.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"ticket_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"ticket_type_id": "",
"external_ticket_id": "",
"email": "",
"ticket_role_type": "normal",
"authentication_method": "no_auth"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. zoom_events.ticket_created. -
event_ts(required)integer, format:int64— A timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who created the event. -
object(required)object— The Zoom Event description.-
email(required)string— The registrant's email. -
event_id(required)string— The Zoom Events ID. -
host_id(required)string— The event host(creator)'s user ID. -
ticket_id(required)string— The ticket ID generated from the registration. -
authentication_methodstring, possible values:"zoom_account", "zoom_account_otp", "corporate_idp", "no_auth"— The event authentication method for the ticket: * zoom_account Zoom account holder * zoom_account_otp Zoom account holder with OTP * corporate_idp Corporate IDP * no_auth No authentication -
external_ticket_idstring— A set of unique alphanumeric characters that references the external ticket ID. -
ticket_role_typestring, possible values:"normal", "alternative_host", "panelist", "bind_meeting", "speaker", "subscription", "sponsor", "interpreter", "host", "moderator", "expo_booth_owner", "attendee_without_order", "pre_registration", "company_zoom_room", "moderator_allhost", "hub_host", "hub_owner"— The ticket role type: * normal The normal ticket * alternative_host The alternative host ticket * panelist The panelist ticket * bind_meeting The bind meeting ticket * speaker The speaker ticket * interpreter The interpreter ticket * sponsor The sponsor ticket * host The host ticket * moderator The moderator ticket * expo_booth_owner The expo booth owner ticket * attendee_without_order The attendee without order ticket * pre_registration — The pre-registration ticket * company_zoom_room The company zoom room ticket * moderator_allhost The moderator all host ticket * hub_host The hub host ticket * hub_owner The hub owner ticket * subscription The subscription ticket -
ticket_type_idstring— The ticket type ID for which the user registers to.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"ticket_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"ticket_type_id": "",
"external_ticket_id": "",
"email": "",
"ticket_role_type": "normal",
"authentication_method": "no_auth"
}
}
}
POST zoom_events.exhibitor_deleted
- Method:
POST - Path:
zoom_events.exhibitor_deleted - Tags: zoom_events
Request Body
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.exhibitor_deleted -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who deleted the event exhibitor. -
object(required)object— Exhibitor Description.-
contact_email(required)string— The contact's email address. -
contact_name(required)string— The contact's full name. -
event_id(required)string— The zoom-events event ID. -
exhibitor_id(required)string— The exhibitors's ID. -
host_id(required)string— The event host(creator)'s user ID. -
is_sponsor(required)boolean— Whether the exhibitor is a sponsor. -
name(required)string— The exhibitors's name. -
descriptionstring— The exhibitor's description. -
tier_idstring— The sponsor tier ID for a particular event. This field only applies to a sponsor.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"exhibitor_id": "",
"name": "",
"description": "",
"is_sponsor": true,
"tier_id": "",
"contact_name": "",
"contact_email": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event, zoom_events.exhibitor_deleted -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the host who deleted the event exhibitor. -
object(required)object— Exhibitor Description.-
contact_email(required)string— The contact's email address. -
contact_name(required)string— The contact's full name. -
event_id(required)string— The zoom-events event ID. -
exhibitor_id(required)string— The exhibitors's ID. -
host_id(required)string— The event host(creator)'s user ID. -
is_sponsor(required)boolean— Whether the exhibitor is a sponsor. -
name(required)string— The exhibitors's name. -
descriptionstring— The exhibitor's description. -
tier_idstring— The sponsor tier ID for a particular event. This field only applies to a sponsor.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"event_id": "",
"host_id": "x1yCzABCDEfg23HiJKl4mN",
"exhibitor_id": "",
"name": "",
"description": "",
"is_sponsor": true,
"tier_id": "",
"contact_name": "",
"contact_email": ""
}
}
}